> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/mappings.md).

# Mappings

## Retrieve a mapping

> Retrieve detailed information for a specific mapping by its ID.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"Mapping":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Mapping ID"},"mapping_type":{"type":"string","description":"Type of the mapping.","enum":["attribute","attribute_set","attribute_value"]},"input_kwargs":{"type":"object","description":"Input arguments in JSON format"},"output_kwargs":{"type":"object","description":"Output arguments in JSON format"},"priority":{"type":"integer","description":"Priority of the mapping"},"mapping_key":{"type":"string","description":"Key of the mapping"},"created_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was created"},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was last modified"}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/mappings/{id}/":{"get":{"summary":"Retrieve a mapping","description":"Retrieve detailed information for a specific mapping by its ID.","tags":["Mappings"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Detailed information about the mapping.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mapping"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Update Mapping

> Update an existing Mapping instance by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"Mapping":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Mapping ID"},"mapping_type":{"type":"string","description":"Type of the mapping.","enum":["attribute","attribute_set","attribute_value"]},"input_kwargs":{"type":"object","description":"Input arguments in JSON format"},"output_kwargs":{"type":"object","description":"Output arguments in JSON format"},"priority":{"type":"integer","description":"Priority of the mapping"},"mapping_key":{"type":"string","description":"Key of the mapping"},"created_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was created"},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was last modified"}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/mappings/{id}/":{"put":{"summary":"Update Mapping","description":"Update an existing Mapping instance by ID","tags":["Mappings"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mapping"}}}},"responses":{"200":{"description":"Mapping updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mapping"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Delete Mapping

> Delete a specific Mapping instance by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"responses":{"204":{"description":"No content"},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/mappings/{id}/":{"delete":{"summary":"Delete Mapping","description":"Delete a specific Mapping instance by ID","tags":["Mappings"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"204":{"$ref":"#/components/responses/204"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Partially Update Mapping

> Partially update an existing Mapping instance by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"Mapping":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Mapping ID"},"mapping_type":{"type":"string","description":"Type of the mapping.","enum":["attribute","attribute_set","attribute_value"]},"input_kwargs":{"type":"object","description":"Input arguments in JSON format"},"output_kwargs":{"type":"object","description":"Output arguments in JSON format"},"priority":{"type":"integer","description":"Priority of the mapping"},"mapping_key":{"type":"string","description":"Key of the mapping"},"created_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was created"},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was last modified"}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/mappings/{id}/":{"patch":{"summary":"Partially Update Mapping","description":"Partially update an existing Mapping instance by ID","tags":["Mappings"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mapping"}}}},"responses":{"200":{"description":"Mapping updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mapping"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List Mappings

> List Mappings

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"mapping_type":{"name":"mapping_type","in":"query","required":false,"description":"Filter by mapping type.","schema":{"type":"string","enum":["attribute","attribute_set","attribute_value"]}},"mapping_key":{"name":"mapping_key","in":"query","required":false,"description":"Filter by exact mapping key.","schema":{"type":"string"}},"input_kwargs__value_dict":{"name":"input_kwargs__value_dict","in":"query","required":false,"description":"Filter by input_kwargs value dictionary.","schema":{"type":"string"}},"output_kwargs__default_value":{"name":"output_kwargs__default_value","in":"query","required":false,"description":"Filter by output_kwargs default value.","schema":{"type":"string"}},"output_kwargs__default_attribute":{"name":"output_kwargs__default_attribute","in":"query","required":false,"description":"Filter by output_kwargs default attribute","schema":{"type":"string"}},"priority":{"name":"priority","in":"query","description":"Filter by priority","required":false,"schema":{"type":"integer"}}},"schemas":{"Mapping":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Mapping ID"},"mapping_type":{"type":"string","description":"Type of the mapping.","enum":["attribute","attribute_set","attribute_value"]},"input_kwargs":{"type":"object","description":"Input arguments in JSON format"},"output_kwargs":{"type":"object","description":"Output arguments in JSON format"},"priority":{"type":"integer","description":"Priority of the mapping"},"mapping_key":{"type":"string","description":"Key of the mapping"},"created_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was created"},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was last modified"}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/mappings/":{"get":{"summary":"List Mappings","description":"List Mappings","tags":["Mappings"],"parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/mapping_type"},{"$ref":"#/components/parameters/mapping_key"},{"$ref":"#/components/parameters/input_kwargs__value_dict"},{"$ref":"#/components/parameters/output_kwargs__default_value"},{"$ref":"#/components/parameters/output_kwargs__default_attribute"},{"$ref":"#/components/parameters/priority"}],"responses":{"200":{"description":"List of Mappings","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Mapping"}}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Create a new Mapping

> Create a new Mapping instance

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Mapping":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Mapping ID"},"mapping_type":{"type":"string","description":"Type of the mapping.","enum":["attribute","attribute_set","attribute_value"]},"input_kwargs":{"type":"object","description":"Input arguments in JSON format"},"output_kwargs":{"type":"object","description":"Output arguments in JSON format"},"priority":{"type":"integer","description":"Priority of the mapping"},"mapping_key":{"type":"string","description":"Key of the mapping"},"created_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was created"},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the mapping object was last modified"}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/mappings/":{"post":{"summary":"Create a new Mapping","description":"Create a new Mapping instance","tags":["Mappings"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mapping"}}}},"responses":{"201":{"description":"Mapping created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mapping"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/mappings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
